
void _efl_ui_radio_state_value_set(Eo *obj, Efl_Ui_Radio_Data *pd, int value);


static Eina_Error
__eolian_efl_ui_radio_state_value_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_radio_state_value_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_radio_state_value_set, EFL_FUNC_CALL(value), int value);

int _efl_ui_radio_state_value_get(const Eo *obj, Efl_Ui_Radio_Data *pd);


static Eina_Value
__eolian_efl_ui_radio_state_value_get_reflect(const Eo *obj)
{
   int val = efl_ui_radio_state_value_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_radio_state_value_get, int, 0);

Efl_Object *_efl_ui_radio_efl_object_constructor(Eo *obj, Efl_Ui_Radio_Data *pd);


void _efl_ui_radio_efl_object_destructor(Eo *obj, Efl_Ui_Radio_Data *pd);


Eina_Error _efl_ui_radio_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Radio_Data *pd);


Eina_Bool _efl_ui_radio_efl_ui_widget_on_access_activate(Eo *obj, Efl_Ui_Radio_Data *pd, Efl_Ui_Activate act);


Eina_Bool _efl_ui_radio_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Radio_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


Efl_Access_State_Set _efl_ui_radio_efl_access_object_state_set_get(const Eo *obj, Efl_Ui_Radio_Data *pd);


const Efl_Access_Action_Data *_efl_ui_radio_efl_access_widget_action_elm_actions_get(const Eo *obj, Efl_Ui_Radio_Data *pd);


void _efl_ui_radio_efl_ui_selectable_selected_set(Eo *obj, Efl_Ui_Radio_Data *pd, Eina_Bool selected);


static Eina_Bool
_efl_ui_radio_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_RADIO_EXTRA_OPS
#define EFL_UI_RADIO_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_radio_state_value_set, _efl_ui_radio_state_value_set),
      EFL_OBJECT_OP_FUNC(efl_ui_radio_state_value_get, _efl_ui_radio_state_value_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_radio_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_radio_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_radio_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_on_access_activate, _efl_ui_radio_efl_ui_widget_on_access_activate),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_radio_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_access_object_state_set_get, _efl_ui_radio_efl_access_object_state_set_get),
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, _efl_ui_radio_efl_access_widget_action_elm_actions_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_selected_set, _efl_ui_radio_efl_ui_selectable_selected_set),
      EFL_UI_RADIO_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"state_value", __eolian_efl_ui_radio_state_value_set_reflect, __eolian_efl_ui_radio_state_value_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_radio_class_desc = {
   EO_VERSION,
   "Efl.Ui.Radio",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Radio_Data),
   _efl_ui_radio_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_radio_class_get, &_efl_ui_radio_class_desc, EFL_UI_CHECK_CLASS, EFL_ACCESS_WIDGET_ACTION_MIXIN, NULL);
